org.eclipse.wst.jsdt.core.dom

## Enum VariableKind

- java.lang.Object
- - java.lang.Enum<VariableKind>
  - - org.eclipse.wst.jsdt.core.dom.VariableKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VariableKind>

    public enum VariableKind
    extends java.lang.Enum<VariableKind>

The different variable declaration kinds as defined on ES 2015 specification.

Since:
  2.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONST`
`LET`
`VAR`

### Method Summary

All Methods Static Methods Concrete Methods
`static VariableKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VariableKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VAR

    public static final VariableKind VAR

#### LET

    public static final VariableKind LET

#### CONST

    public static final VariableKind CONST

### Method Detail

#### values

    public static VariableKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VariableKind c : VariableKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VariableKind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null